Package org.iirds.dita.ot.plugin.module

# Class IirdsGenerationModuleImpl

java.lang.Object
org.dita.dost.module.AbstractPipelineModuleImpl
org.iirds.dita.ot.plugin.module.IirdsGenerationModuleImpl

All Implemented Interfaces:
  `org.dita.dost.module.AbstractPipelineModule`

public class IirdsGenerationModuleImpl extends org.dita.dost.module.AbstractPipelineModuleImpl

- ## Field Summary

  ### Fields inherited from class org.dita.dost.module.AbstractPipelineModuleImpl

  `job, logger, parallel, xmlUtils`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IirdsGenerationModuleImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.dita.dost.pipeline.AbstractPipelineOutput`
  `execute(org.dita.dost.pipeline.AbstractPipelineInput input)`
  Entry point to process DITA content (the input file) and its topics in case of a map for iiRDS generation
  `protected org.apache.jena.rdf.model.Model`
  `generateModel(ToCNode toc)`
  `protected void`
  `generateRDF(org.apache.jena.rdf.model.Model model)`

  ### Methods inherited from class org.dita.dost.module.AbstractPipelineModuleImpl

  `setFileInfoFilter, setJob, setLogger, setParallel, setProcessingPipe, setXmlUtils`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.dita.dost.module.AbstractPipelineModule

  `execute`

- ## Constructor Details

  - ### IirdsGenerationModuleImpl

    public IirdsGenerationModuleImpl()

- ## Method Details

  - ### execute

    public org.dita.dost.pipeline.AbstractPipelineOutput execute(org.dita.dost.pipeline.AbstractPipelineInput input) throws org.dita.dost.exception.DITAOTException
    Entry point to process DITA content (the input file) and its topics in case of a map for iiRDS generation
    Specified by:
      `execute` in interface `org.dita.dost.module.AbstractPipelineModule`
    Overrides:
      `execute` in class `org.dita.dost.module.AbstractPipelineModuleImpl`
    Parameters:
      `input` - Input parameters and resources.
    Returns:
      null
    Throws:
      `org.dita.dost.exception.DITAOTException` - in case of issues

  - ### generateModel

    protected org.apache.jena.rdf.model.Model generateModel(ToCNode toc)

  - ### generateRDF

    protected void generateRDF(org.apache.jena.rdf.model.Model model) throws IOException
    Throws:
      `IOException`